Home » , , » Symfony Framework Versions Are Now Supportable With PHP7

Symfony Framework Versions Are Now Supportable With PHP7

jaki watson | 05:20 | 0 comments
Symfony framework with PHP7
PHP7, the latest version of Symfony, the programming language is developed with, will be ready to land at the end of 2015. With this release, we find its third beta version and come closer to its final stable release. Last month, we have seen the only Symfony 2.3.x branch was supportable with Facebook's HHVM engine. However, now we find Symfony 100% compatible with PHP7.

Symfony is one of the leading PHP frameworks that used for developing web applications and sites. The best thing about using this framework is it helps you to develop better and faster. Developing an application with Symfony delivers full compliance with the business rules, which are maintainable and upgradable

Talking about PHP7 compatibility, Symfony 2.3.x, 2.7.x, and 2.8.x are included in it. PHP7 support has started by the Symfony team in February 2015 and along with major stable releases, it also has the latest branch of the Symfony project, 3.x, which is expected to be the biggest release in the framework's history.

Developers are taking notes for advances and speed improvements when HHVM and PHP7 teams have been exchanging blows through benchmarks. Now, Symfony project has decided to improve full support for PHP7 due to its speed factor.

It is supposed that PHP7 will release this fall and the new Symfony 3.0 branch may come together. The "nightly" setting from the PHP7 engine has also been removed along with full compatibility. That means this is translated into layman’s terms and thus, no future changes are allowed to the framework's code that break PHP7 compatibility.

If you are looking for Symfony solution after this release, then contact Perception System for more information.
Share this article :

0 comments:

Post a Comment

 
Design by: